package com.hzy.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @program: gululuq
 * @description: 删除标志
 * @author: 金
 * @create: 2025-03-16
 */
@AllArgsConstructor
@Getter
public enum EDelFlag {
    YES("1", "已删除"),
    NO("0", "未删除");

    private String val;
    private String desc;

    // 解析
    public static EDelFlag parseByVal(String val) {
        for (EDelFlag type : EDelFlag.values()) {
            if (type.getVal().equalsIgnoreCase(val)) {
                return type;
            }
        }
        return EDelFlag.NO;
    }
}
